package mystocks.data;
import java.net.*;
import java.io.*;
import java.sql.*;
import java.util.*;
public class Checkpoint 
   {
      java.util.Date dt = new java.util.Date();
      GregorianCalendar cal = new GregorianCalendar();
      java.sql.Date today = new java.sql.Date(cal.get(Calendar.YEAR)-1900,
         cal.get(Calendar.MONTH),  
         cal.get(Calendar.DAY_OF_MONTH));
      String dropTableStatement   = "drop   table TJS0103_checkpoints;";
      String createTableStatement = "create table TJS0103_checkpoints ("
                  + "   when date"
                  + ",  program varchar(14)"
                  + ",  programdata varchar(80)"
                  + ");";
      String dropIndexStatement   = "drop   index IJS0103_checkpoints;";
      String createIndexStatement = "create index IJS0103_checkpoints on TJS0103_checkpoints (program);";
      private Connection con = null;
      private Statement SQLstatement = null;
      public Checkpoint(Connection c) throws SQLException
         {
            this();
            setConnection(c);
         };
      public Checkpoint()
         {
            super();
         };
      public void setConnection(Connection c)  throws SQLException
         {
            con = c;
            SQLstatement = con.createStatement();
         };
      public Connection getConnection() {return con;}
      public void createTable() throws SQLException
         {
            SQLstatement.executeUpdate(createTableStatement);
         };
      public void createIndex() throws SQLException
         {
            SQLstatement.executeUpdate(createIndexStatement);
         };
      public void dropTable() 
         {
            try {
               SQLstatement.executeUpdate(dropTableStatement);
            }
            catch (SQLException e)
               {
               }
         };
      public void dropIndex() 
         {
            try {
               SQLstatement.executeUpdate(dropIndexStatement);
            }
            catch (SQLException e) {;}
            
         };
      public void load()
         {
            int i=0;
            String ss = "";
            try
               {
                   PreparedStatement ps 
                     = con.prepareStatement("insert into TJS0103_checkpoints  values (?,?);");
                   ps.setDate(1, today);
                   ps.setString(2, "Checkpoint");
                   ps.executeUpdate();
               }
               catch(Throwable e) 
                  {
                     System.out.println("\r"+i + "\t" + ss);
                     System.out.println(e);
                     e.printStackTrace();
                  }
         }
      public void commit() throws SQLException
         {
            con.commit();
         }
      public static void main(String args[]) throws Exception 
         {
            ResultSet rs = null;
//            if (args.length == 0)
//               {throw new Exception("Name some files to load");}

            String url = "jdbc:postgresql://emu/sharetrader";
            Class.forName("postgresql.Driver");
            System.out.println(new java.util.Date().toString());
            Connection con = (Connection) DriverManager.getConnection(url, 
               "summer", "");

            Checkpoint  db = new Checkpoint(con);
            db.dropIndex();
            db.dropTable();
            db.createTable();
            db.createIndex();
            db.load();
            System.out.println(db.cal);
            System.out.println(db.cal.get(Calendar.YEAR));
            System.out.println(db.cal.get(Calendar.DATE));
            System.out.println(db.today);
            String cmd="";
         }
      
   }
